Update an owned gear item.
curl --request PATCH \
--url https://api.nebyoulous.space/gear/items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": {},
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manufacturer: '<string>',
model: '<string>',
displayName: '<string>',
spec: {},
notes: '<string>'
})
};
fetch('https://api.nebyoulous.space/gear/items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/items/{id}"
payload = {
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": {},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"item": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Gear and rigs
Update an owned gear item.
PATCH
/
gear
/
items
/
{id}
Update an owned gear item.
curl --request PATCH \
--url https://api.nebyoulous.space/gear/items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": {},
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manufacturer: '<string>',
model: '<string>',
displayName: '<string>',
spec: {},
notes: '<string>'
})
};
fetch('https://api.nebyoulous.space/gear/items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/items/{id}"
payload = {
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": {},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"item": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
CAMERA, TELESCOPE, MOUNT, GUIDER, FILTER, ACCESSORY, SOFTWARE, OTHER Required string length:
1 - 200Required string length:
1 - 200Maximum string length:
200Show child attributes
Show child attributes
Maximum string length:
5000Response
Default Response
Show child attributes
Show child attributes